Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XRoleClassPayeePolicyRelationship

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XRoleClassPayeePolicyRelationship

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XRoleClassPayeePolicyRelationship

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XRole Class Payee Policy Relationship', and utility methods for working with them. abstDomain: V19395 (C-0-D11555-V13940-V19395-cpt)

See Also:
  `CDAR2Package.getXRoleClassPayeePolicyRelationship()`

Field Summary
`static int` | `COVPTY` The 'COVPTY' literal value.
`static XRoleClassPayeePolicyRelationship` | `COVPTY_LITERAL` The 'COVPTY' literal object.
`static int` | `GUAR` The 'GUAR' literal value.
`static XRoleClassPayeePolicyRelationship` | `GUAR_LITERAL` The 'GUAR' literal object.
`static int` | `POLHOLD` The 'POLHOLD' literal value.
`static XRoleClassPayeePolicyRelationship` | `POLHOLD_LITERAL` The 'POLHOLD' literal object.
`static int` | `PROV` The 'PROV' literal value.
`static XRoleClassPayeePolicyRelationship` | `PROV_LITERAL` The 'PROV' literal object.
`static int` | `PRS` The 'PRS' literal value.
`static XRoleClassPayeePolicyRelationship` | `PRS_LITERAL` The 'PRS' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XRole Class Payee Policy Relationship' enumerators.

Method Summary
`static XRoleClassPayeePolicyRelationship` | `get(int value)` Returns the 'XRole Class Payee Policy Relationship' literal with the specified integer value.
`static XRoleClassPayeePolicyRelationship` | `get(java.lang.String literal)` Returns the 'XRole Class Payee Policy Relationship' literal with the specified literal value.
`static XRoleClassPayeePolicyRelationship` | `getByName(java.lang.String name)` Returns the 'XRole Class Payee Policy Relationship' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COVPTY

    public static final int COVPTY

  The 'COVPTY' literal value.

  If the meaning of 'COVPTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COVPTY_LITERAL`, Constant Field Values

### GUAR

    public static final int GUAR

  The 'GUAR' literal value.

  If the meaning of 'GUAR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GUAR_LITERAL`, Constant Field Values

### POLHOLD

    public static final int POLHOLD

  The 'POLHOLD' literal value.

  If the meaning of 'POLHOLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `POLHOLD_LITERAL`, Constant Field Values

### PROV

    public static final int PROV

  The 'PROV' literal value.

  If the meaning of 'PROV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROV_LITERAL`, Constant Field Values

### PRS

    public static final int PRS

  The 'PRS' literal value.

  If the meaning of 'PRS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRS_LITERAL`, Constant Field Values

### COVPTY_LITERAL

    public static final XRoleClassPayeePolicyRelationship COVPTY_LITERAL

  The 'COVPTY' literal object.

  See Also:
    `COVPTY`

### GUAR_LITERAL

    public static final XRoleClassPayeePolicyRelationship GUAR_LITERAL

  The 'GUAR' literal object.

  See Also:
    `GUAR`

### POLHOLD_LITERAL

    public static final XRoleClassPayeePolicyRelationship POLHOLD_LITERAL

  The 'POLHOLD' literal object.

  See Also:
    `POLHOLD`

### PROV_LITERAL

    public static final XRoleClassPayeePolicyRelationship PROV_LITERAL

  The 'PROV' literal object.

  See Also:
    `PROV`

### PRS_LITERAL

    public static final XRoleClassPayeePolicyRelationship PRS_LITERAL

  The 'PRS' literal object.

  See Also:
    `PRS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XRole Class Payee Policy Relationship' enumerators.

Method Detail

### get

    public static XRoleClassPayeePolicyRelationship get(java.lang.String literal)

  Returns the 'XRole Class Payee Policy Relationship' literal with the specified literal value.

### getByName

    public static XRoleClassPayeePolicyRelationship getByName(java.lang.String name)

  Returns the 'XRole Class Payee Policy Relationship' literal with the specified name.

### get

    public static XRoleClassPayeePolicyRelationship get(int value)

  Returns the 'XRole Class Payee Policy Relationship' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD